Page MenuHomePhabricator

Mobile app freezes when switching to another app and back while editing
Closed, ResolvedPublic1 Estimate Story Points

Description

If I switch to another app while editing an article in the mobile app and then switch back, the app becomes unresponsive, the syntax highlighting disappears, typing any text into the edit window has no effect (the keyboard's suggestion feature seems to detect the typing but the characters don't appear in the edit window), attempting to save or go back has no effect, so I have to kill the app.

Device: Nexus 5X

OS: Android 6.0.1

Mobile app version: Wikipedia Beta 2.4.156-beta-2016-09-19

This has been an issue for a while, in many previous versions as well. I don't remember whether it was ever working for me.

Sorry if this was reported before, I tried searching but couldn't find a related task.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2016, 12:35 PM
nyuszika7h updated the task description. (Show Details)Sep 24 2016, 12:35 PM
nyuszika7h updated the task description. (Show Details)

Change 315261 had a related patch set uploaded (by Dbrant):
Fix lifecycle of syntax highlighter when editing.

https://gerrit.wikimedia.org/r/315261

Change 315261 merged by jenkins-bot:
Fix lifecycle of syntax highlighter when editing.

https://gerrit.wikimedia.org/r/315261

Dbrant claimed this task.Oct 11 2016, 2:17 PM
Dbrant set the point value for this task to 1.
Dbrant moved this task from To Do to QA Signoff on the Mobile-App-Android-Sprint-93-Neptunium board.

Testing Wikipedia build 2.4.157-alpha-2016-10-11 on Samsung Galaxy SIII (Android 4.4.2). This is fixed for similar reasons as T147704, it is possible to go to another app (I went to YouTube and played through a video) and go back to Wikipedia with the article editing window still open.

Dbrant closed this task as Resolved.Oct 14 2016, 12:56 PM